Bug 824749 - Typo in user info output
Typo in user info output
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Og Maciel
Hayk Hovsepyan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 03:24 EDT by Hayk Hovsepyan
Modified: 2013-03-27 16:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 16:55:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-05-24 03:24:00 EDT
Description of problem:
There is a type in user info output (for non existing user)
It shoud be 'find' instead of 'fing'.


Version-Release number of selected component (if applicable):
mod_wsgi-3.3-3.pulp.el6.x86_64
candlepin-0.5.32-1.el6.noarch
pulp-common-1.0.4-1.el6.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
katello-glue-candlepin-0.2.38-1.git.10.ee1c3b0.el6.noarch
katello-selinux-0.2.5-1.git.0.cc457ee.el6.noarch  
katello-repos-testing-0.2.4-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-1.0.3-1.git.0.cccd0b4.el6.noarch
katello-cli-tests-0.2.16-1.git.0.69f18f1.el6.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-glue-pulp-0.2.38-1.git.10.ee1c3b0.el6.noarch
pulp-1.0.4-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.1.6-1.git.0.4878f30.el6.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-glue-foreman-0.2.38-1.git.10.ee1c3b0.el6.noarch
pulp-selinux-server-1.0.4-1.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
python-qpid-0.14-7.el6_2.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
katello-common-0.2.38-1.git.10.ee1c3b0.el6.noarch
katello-repos-0.2.4-1.el6.noarch
katello-0.2.38-1.git.10.ee1c3b0.el6.noarch
katello-configure-0.2.24-1.git.18.5de0a2b.el6.noarch
candlepin-tomcat6-0.5.32-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-0.2.36-1.git.21.f493194.el6.noarch
katello-cli-0.2.36-1.git.21.f493194.el6.noarch

How reproducible:
always

Steps to Reproduce:
1.invoke command user info --username <non existing username>
2.
3.
  
Actual results:
Could not fing user [ <username> ]

Expected results:
Could not find user [ <username> ]

Additional info:
Comment 1 Hayk Hovsepyan 2012-05-24 04:00:45 EDT
It happens for any 'user' command, it can be 'user info', 'user assign_role' which requires '--username'.

Seems like it comes from common method which finds user by it's username.
Comment 2 Og Maciel 2012-05-24 11:29:08 EDT
Fixed in commit bad35eabd99c1d8ab8f65febc8957cc4f9a1c911 (see commit bad35eabd99c1d8ab8f65febc8957cc4f9a1c911)
Comment 3 Hayk Hovsepyan 2012-05-25 04:54:08 EDT
Verified on revision:
m2crypto-0.21.1.pulp-7.el6.x86_64
mod_wsgi-3.3-3.pulp.el6.x86_64
python-qpid-0.14-7.el6_2.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-glue-foreman-0.2.39-1.git.152.06713a0.el6.noarch
katello-0.2.39-1.git.152.06713a0.el6.noarch
katello-repos-testing-0.2.4-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-agent-1.0.3-1.git.0.cccd0b4.el6.noarch
katello-cli-tests-0.2.16-1.git.0.69f18f1.el6.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-glue-candlepin-0.2.39-1.git.152.06713a0.el6.noarch
katello-selinux-0.2.5-1.git.0.cc457ee.el6.noarch
pulp-1.1.10-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.1.6-1.git.0.4878f30.el6.noarch
candlepin-0.5.32-1.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
katello-common-0.2.39-1.git.152.06713a0.el6.noarch
pulp-common-1.1.10-1.el6.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
katello-glue-pulp-0.2.39-1.git.152.06713a0.el6.noarch
katello-repos-0.2.4-1.el6.noarch
pulp-selinux-server-1.1.10-1.el6.noarch
katello-configure-0.2.25-1.git.0.e9fab23.el6.noarch
candlepin-tomcat6-0.5.32-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-common-0.2.37-1.git.148.6ad9de2.el6.noarch
katello-cli-0.2.37-1.git.148.6ad9de2.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.